#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Mon Nov 25 19:36:14 2019

@author: lessig
"""

import numpy as np
import trimesh

# load mesh
mesh = trimesh.load('../models/bunny.off')

# color vertices
for idx_vert in range( mesh.vertices.shape[0]) :
    mesh.visual.vertex_colors[idx_vert] = trimesh.visual.random_color()

# preview mesh in an opengl window if you installed pyglet with pip
# this does not work in spyder
mesh.show()

